# ***********************************************
# 
# !!!! DO NOT EDIT !!!!
# 
# This file was auto-generated by Build.PL.
# 
# ***********************************************
# 
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=encoding utf8

=head1 NAME

Lucy::Search::Collector::BitCollector - Collector which records doc nums in a BitVector.

=head1 SYNOPSIS

    my $bit_vec = Lucy::Object::BitVector->new(
        capacity => $searcher->doc_max + 1,
    );
    my $bit_collector = Lucy::Search::Collector::BitCollector->new(
        bit_vector => $bit_vec, 
    );
    $searcher->collect(
        collector => $bit_collector,
        query     => $query,
    );

=head1 DESCRIPTION

BitCollector is a Collector which saves matching document ids in a
L<BitVector|Lucy::Object::BitVector>.  It is useful for recording the
entire set of documents which matches a query.

=head1 CONSTRUCTORS

=head2 new

    my $bit_collector = Lucy::Search::Collector::BitCollector->new(
        bit_vector => $bit_vec,    # required
    );

Create a new BitCollector.

=over

=item *

B<bit_vector> - A Lucy::Object::BitVector.

=back

=head1 METHODS

=head2 collect

    $bit_collector->collect($doc_id);

Set bit in the object’s BitVector for the supplied doc id.

=head1 INHERITANCE

Lucy::Search::Collector::BitCollector isa L<Lucy::Search::Collector> isa Clownfish::Obj.

=cut

